Bug 697371 - [l10n] RFE -- allow translators to add a translator credit to the front matter of books
[l10n] RFE -- allow translators to add a translator credit to the front matte...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks: 820023
  Show dependency treegraph
 
Reported: 2011-04-17 23:48 EDT by Ruediger Landmann
Modified: 2012-10-30 23:11 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Writers and Translators Credits (150.38 KB, image/png)
2012-06-14 00:55 EDT, Hedda Peters
no flags Details

  None (edit)
Description Ruediger Landmann 2011-04-17 23:48:49 EDT
Translation takes place after the content of a book is finalized, at a point where authors may not know who (if anybody) will translate the book. A per-language XML file could hold a <othercredit class="translator"> element to include in the front matter of translated books, and would allow translators to set this credit appropriately for their language.
Comment 1 Jeff Fearn 2011-04-18 01:38:02 EDT
Added handling of $translation/Author_Group.xml, when a book is built this file, if it exists, will be appended to the $source_lang/Author_Group.xml file.

$translation/Author_Group.xml and $source_lang/Author_Group.xml must both be a valid DocBook authorgroups.
Comment 2 Michael Hideo 2012-06-07 21:28:54 EDT
create book with at least 1 translation set up for it. then add an author group xml file to the translation directory. build and verify that the translated author xml gets added to the english xml. 1 hour.
Comment 3 Hedda Peters 2012-06-14 00:54:42 EDT
Verified, works beautifully.

Translator's credits are added underneath the writer's credits, see attached screenshot if anyone's interested.
Comment 4 Hedda Peters 2012-06-14 00:55:13 EDT
Created attachment 591732 [details]
Writers and Translators Credits
Comment 5 Dan Macpherson 2012-06-16 01:06:54 EDT
Documentation might be needed for adding translator credit.

Note You need to log in before you can comment on or make changes to this bug.